#include "pch.h"
#include "GenericBkMFC.h"
#include "DlgClockST.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CDlgClockST::CDlgClockST(CWnd* pParent, CResourceServerST*	m_pIcons)
	: CBkDialogST(CDlgClockST::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgClockST)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT

	m_pIconsDLL = m_pIcons;
}

void CDlgClockST::DoDataExchange(CDataExchange* pDX)
{
	CBkDialogST::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgClockST)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP

	DDX_Control(pDX, IDC_CLOCKFRAME, m_Clock);
}

BEGIN_MESSAGE_MAP(CDlgClockST, CBkDialogST)
	//{{AFX_MSG_MAP(CDlgClockST)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BOOL CDlgClockST::OnInitDialog() 
{
	CBkDialogST::OnInitDialog();
	
	SetMode(BKDLGST_MODE_STRETCH, FALSE);
	SetBitmap(m_pIconsDLL->LoadBitmap(DLL_IDB_BACKGROUND11, LR_SHARED));


	// Start clock
	m_Clock.Start(IDB_CLOCKST_PANE, IDB_CLOCKST_BIG, IDB_CLOCKST_SMALL);
	return TRUE;
} // End of OnInitDialog

void CDlgClockST::OnOK()
{
} // End of OnOK

void CDlgClockST::OnCancel()
{
} // End of OnCancel

void CDlgClockST::OnPostEraseBkgnd(CDC* pDC)
{
} // End of OnPostEraseBkgnd
